#ifndef OBJECT_BOOL_H
#define OBJECT_BOOL_H
// joycub V2 - an interpeter for the programming language Joy
// (c) 2004-2006 Sergey Zubkov 
// prototype.cc - prototype module to test out the new design considerations
//static char RCSID[] ="$Id: bool.h,v 1.1 2006/02/27 18:50:34 cubbi Exp cubbi $";
#include <iostream>
#include "int.h"

extern int bool_type_count;

// The builtin boolean class
class JC_bool : public JC_int {
public:
	JC_bool(bool);
	JC_bool(const std::string&);
	JC_bool(const JC_bool& j);
	~JC_bool(void);

    inline const obj_type get_type(void) const { return BOOL; };
	inline bool to_bool(void) const
			{ return content!=0 ? true : false; }
	inline std::string to_string(void) const
			{ return content!=0 ? "true" : "false"; };

};
#endif
